Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
ReplicationConfig..::.UseMasterLeases Field
ReplicationConfig Class See Also Send Feedback

If true, master leases will be used for this site (defaults to false).

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public bool UseMasterLeases

Visual Basic (Declaration)
    Public UseMasterLeases As Boolean

Visual C++
    public:
    bool UseMasterLeases

# Remarks

Configuring this option may result in a LeaseExpiredException when attempting to read entries from a database after the site's master lease has expired.

# See Also

ReplicationConfig Class
BerkeleyDB Namespace